%global momorel 2

%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Library to access an iPod audio player
Name: libgpod
Version: 0.7.2
Release: %{momorel}m%{?dist}
License: LGPLv2+
URL: http://www.gtkpod.org/libgpod.html
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/gtkpod/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: 0001-Use-var-run-hald-as-mount-dir-for-hal-callout.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hal
BuildRequires: dbus-devel >= 0.92
BuildRequires: dbus-glib-devel
BuildRequires: eject
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: gtk2-devel >= 2.10.3
BuildRequires: hal-devel
BuildRequires: libffi-devel
BuildRequires: libxml2-devel
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: python-eyed3
BuildRequires: python-mutagen
BuildRequires: sg3_utils-devel >= 1.27
BuildRequires: swig

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package devel
Summary: Headers for developing programs that will use libgpod
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers for developing programs that will use libgpod.

%package -n python-gpod
Summary: A python module to access iPod content
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: python-eyed3

%description -n python-gpod
A python module to access iPod content.  This module provides bindings
to the libgpod library.

%prep
%setup -q

%patch0 -p1 -b .selinux

# remove execute perms on the python examples as they'll be installed in %doc
chmod 644 bindings/python/examples/*.py

%build
%configure --with-hal-callouts-dir=%{_libdir}/hal/scripts
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot} -name "*.la" -delete

# remove Makefiles from the examples dir
rm -rf bindings/python/examples/Makefile*

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README* TROUBLESHOOTING
%{_bindir}/ipod-read-sysinfo-extended
%{_libdir}/libgpod.so.*
%{_libdir}/hal/scripts/libgpod-callout
%{_datadir}/locale/*/LC_MESSAGES/libgpod.mo
%{_datadir}/hal/fdi/policy/20thirdparty/20-libgpod-sysinfo-extended.fdi

%files devel
%defattr(-,root,root)
%{_includedir}/gpod-1.0
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgpod.a
%{_libdir}/libgpod.so
%{_datadir}/gtk-doc/html/libgpod

%files -n python-gpod
%defattr(-, root, root, 0755)
%doc COPYING bindings/python/README bindings/python/examples
%{python_sitearch}/gpod

%changelog
* Fri Jun  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.2-2m)
- rebuild against sg3_utils-1.27

* Sat Apr 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-1m)
- version 0.7.2

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.0-1m)
- version 0.7.0
- import Use-var-run-hald-as-mount-dir-for-hal-callout.patch from Fedora
 +* Wed Jan 14 2009 Todd Zullinger <tmz@pobox.com> - 0.6.0-10
 +- Fix path to hal callout (this should help setup the SysInfoExtended
 +  file automagically)
 +- Use /var/run/hald as mount dir for hal callout
 +- Require hal
- remove merged gcc43.patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-6m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6.0-5m)
- rebuild against python-2.6.1-1m

* Thu Jun  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-4m)
- fix install (dose not use %%makeinstall)
- add BuildRequires: libffi-devel BuildRequires: sg3_utils-devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-3m)
- rebuild against gcc43

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-1m)
- version 0.6.0

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-1m)
- version 0.5.2

* Sun Apr 15 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-3m)
- python-gpod.spec was merged into this package

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-2m)
- libgpod-devel Requires: pkgconfig

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- version 0.4.2

* Tue Oct 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.2-3m)
- rebuild against gtk+-2.10.3
- delete libtool library

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.2-2m)
- rebuild against dbus 0.92

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Tue Feb 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- initial package for amarok-1.4
